Subject: [Megaco] Auditing for list of context ids and termination ids

From: [email-masked]
Date: Tue, 28 Jan 2003 23:08:16 +0530

Hi List

I wanted to confirm the following request/response PDUs for auditing  to fetch
the list of Context Ids and optionally the list of terminations in each context.

If the MGC wishes to get a list of all context Ids and the terminations in these
contexts, then the MGC should send an Audit command for ALL (this doesnt include
NULL) contexts, with termination id as *.  So as per Sec 7.2.5 of the RFC, will
the request PDU look like the following ?

MEGACO/1[123.231.111]
Transaction = 24 {
Context = * {
AuditValue = * {
Audit { }
}}}

And the response something like

MEGACO/1[112.114.112]
Reply = 24{
Context = 3 {
 AuditValue=Context {phy1, eph1}
},
context = 4 {
 AuditValue=Context {phy2, eph2,eph3}
},
context = 6{
 AuditValue=Context {phy4,phy5,, eph1}
}
}

Sending the Termination id list  is triggered by the fact that in the Request,
the Audit descriptor is empty. Again, as per Sec 7.2.5.

Now if I dont want the list of termination ids, then, in the Transaction
request, the Termination audited for is ROOT (instead of *). The protocol says
that it should return the list of context ids (sec 7.2.5) , but there is no
clear information as to what the reply looks like.
I wanted to confirm if this is correct and the PDU would look like

MEGACO/1[112.114.112]
Reply = 24{
Context = 3 {
 AuditValue
},
context = 4 {
 AuditValue
},
context = 6{{114.112]f
 AuditValue
}
}

Please comment.

Regards
Shiv Kumar
Hughes Software Systems

DISCLAIMER: This message is proprietary to Hughes Software Systems
Limited (HSS) and is intended solely for the use of the individual
to whom it is addressed. It may contain  privileged or confidential
information  and should not be circulated or used for any purpose other
than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. HSS accepts
no responsibility for loss or damage arising from the use of the information
transmitted by this email including damage from virus.

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco